Tariffs

Electricity pricing data (dynamic purchase rates and feed-in rates). Essential for calculating cost savings and ROI for solar installations. See Dynamic vs Fixed Tariffs.


GET/v1/tariffs/dynamic/stats

Get dynamic tariff statistics

Returns min, max, average, and median for dynamic tariff rates

Response

Request

GET
/v1/tariffs/dynamic/stats
curl -G https://api.enhub.nl/v1/tariffs/dynamic/stats \
  -H "Authorization: Bearer {token}"

Response

{
  "min": 0.05,
  "max": 0.45,
  "average": 0.25,
  "median": 0.23
}

GET/v1/tariffs/dynamic/samples

Get sample dynamic rates

Returns sample rates for morning, afternoon, evening, and night

Response

Request

GET
/v1/tariffs/dynamic/samples
curl -G https://api.enhub.nl/v1/tariffs/dynamic/samples \
  -H "Authorization: Bearer {token}"

Response

{
  "morning": 0.28,
  "afternoon": 0.22,
  "evening": 0.35,
  "night": 0.12
}

GET/v1/tariffs/feed-in/stats

Get feed-in tariff statistics

Returns min, max, average, and median for feed-in tariff rates

Response

Request

GET
/v1/tariffs/feed-in/stats
curl -G https://api.enhub.nl/v1/tariffs/feed-in/stats \
  -H "Authorization: Bearer {token}"

Response

{
  "min": 0.05,
  "max": 0.45,
  "average": 0.25,
  "median": 0.23
}

GET/v1/tariffs/dynamic/breakdown

Get dynamic tariff breakdown data

Returns aggregated dynamic electricity rates for visualization. Supports day/week/month/year intervals. Use the fields parameter to filter which properties are included in the response.

Query parameters

  • Name
    startDate
    Type
    string
    Description

    Start date (ISO 8601 format). Defaults to today.

  • Name
    interval
    Type
    string
    Description

    Aggregation interval (default: day) One of: day, week, month, year.

  • Name
    fields
    Type
    string
    Description

    Comma-separated list of fields to include in response (e.g., "rates,labels"). Available fields: rates, rateStats, labels, intervalType, startDate, endDate, tariffType. If omitted, all fields are returned.

Response

Request

GET
/v1/tariffs/dynamic/breakdown
curl -G https://api.enhub.nl/v1/tariffs/dynamic/breakdown \
  -H "Authorization: Bearer {token}"

Response

{
  "rates": [
    0
  ],
  "rateStats": [
    {
      "min": 0.15,
      "max": 0.35,
      "average": 0.25
    }
  ],
  "labels": [
    "string"
  ],
  "intervalType": "day",
  "startDate": "2026-01-15T00:00:00.000Z",
  "endDate": "2026-01-16T00:00:00.000Z",
  "tariffType": "dynamic"
}

GET/v1/tariffs/feed-in/breakdown

Get feed-in tariff breakdown data

Returns aggregated feed-in (export) electricity rates for visualization. Supports day/week/month/year intervals. Use the fields parameter to filter which properties are included in the response.

Query parameters

  • Name
    startDate
    Type
    string
    Description

    Start date (ISO 8601 format). Defaults to today.

  • Name
    interval
    Type
    string
    Description

    Aggregation interval (default: day) One of: day, week, month, year.

  • Name
    fields
    Type
    string
    Description

    Comma-separated list of fields to include in response (e.g., "rates,labels"). Available fields: rates, rateStats, labels, intervalType, startDate, endDate, tariffType. If omitted, all fields are returned.

Response

Request

GET
/v1/tariffs/feed-in/breakdown
curl -G https://api.enhub.nl/v1/tariffs/feed-in/breakdown \
  -H "Authorization: Bearer {token}"

Response

{
  "rates": [
    0
  ],
  "rateStats": [
    {
      "min": 0.15,
      "max": 0.35,
      "average": 0.25
    }
  ],
  "labels": [
    "string"
  ],
  "intervalType": "day",
  "startDate": "2026-01-15T00:00:00.000Z",
  "endDate": "2026-01-16T00:00:00.000Z",
  "tariffType": "dynamic"
}

Was this page helpful?